Bug 857424 - [PATCH] Multiple storage volume in a same storage pool cannot be created with virt-install's --disk options
[PATCH] Multiple storage volume in a same storage pool cannot be created with...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 07:31 EDT by Satoru SATOH
Modified: 2012-11-28 09:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 09:59:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An experimental patch makes allowing multiple --disk options to create multi-volumes in same storage pool (2.78 KB, patch)
2012-09-14 07:31 EDT, Satoru SATOH
no flags Details | Diff

  None (edit)
Description Satoru SATOH 2012-09-14 07:31:57 EDT
Created attachment 612820 [details]
An experimental patch makes allowing multiple --disk options to create multi-volumes in same storage pool

Description of problem: 
It seems that virt-install fails installation with error 
"Storage volume not found: storage vol already exists" if multiple
--disk options passed to create storage volumes in a same storage
pool like this:

virt-install --name=rhel-6-client-2 ... \
--disk "pool=default,format=qcow2,cache=none,size=5"  \
--disk "pool=default,format=qcow2,cache=none,size=1"  \
--disk "pool=default,format=qcow2,cache=none,size=1"  \
--disk "pool=default,format=qcow2,cache=none,size=1"  
...

Starting install...
...
Allocating 'rhel-6-client-2.img'          | 5.0 GB     00:00
ERROR    Storage volume not found: storage vol already exists
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start rhel-6-client-2
  otherwise, please restart your installation.

Version-Release number of selected component (if applicable):
python-virtinst-0.600.3-1.fc17.noarch and git HEAD version

How reproducible: always


Steps to Reproduce: see above example

  
Actual results: 
Installation failes with "Storage volume not found: storage
vol already exists" error.

Expected results: Installation succeeds w/o errors.



Additional info:

I wrote a simple and quickly-hacked patch look fixing this.
Comment 1 Cole Robinson 2012-10-14 00:48:29 EDT
Thanks Satoru! I added you to AUTHORS, made some small changes, and pushed the fix:

http://git.fedorahosted.org/cgit/python-virtinst.git/commit/?id=22700df585ced12049e2c40d8effe76735a9be29
Comment 2 Fedora Update System 2012-10-24 08:24:11 EDT
python-virtinst-0.600.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-virtinst-0.600.3-2.fc17
Comment 3 Fedora Update System 2012-10-24 19:58:21 EDT
Package python-virtinst-0.600.3-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-virtinst-0.600.3-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16854/python-virtinst-0.600.3-2.fc17
then log in and leave karma (feedback).
Comment 4 Cole Robinson 2012-11-28 09:59:09 EST
virt-manager-0.9.4-2.fc17 is in stable now

Note You need to log in before you can comment on or make changes to this bug.